using System;
using Server;
using System.Collections.Generic;
using Server.Mobiles;
using Server.Items;
using Server.ContextMenus;

namespace Server.Mobiles
{
	[CorpseName( "a dinosaur corpse" )]
	public class Stegosaurus : BaseCreature
	{
		[Constructable]
		public Stegosaurus () : base( AIType.AI_Animal, FightMode.Aggressor, 10, 1, 0.2, 0.4 )
		{
			Name = "a stegosaurus";
			Body = 276;
			BaseSoundID = 0x4F5;

			SetStr( 401, 430 );
			SetDex( 133, 152 );
			SetInt( 101, 140 );

			SetHits( 241, 258 );

			SetDamage( 11, 17 );

			SetSkill( SkillName.Tactics, 65.1, 90.0 );
			SetSkill( SkillName.HandToHand, 65.1, 80.0 );

			Fame = 5500;
			Karma = -5500;

			VirtualArmor = 46;
		}

		public override int Meat{ get{ return 10; } }
		public override int Hides{ get{ return 20; } }

		public Stegosaurus( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}